For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList skills
      • POSTCreate a skill
      • POSTBind a skill to an agent
      • GETList an agent's skill bindings
      • DELUnbind a skill from an agent
      • POSTImport a SKILL.md
      • POSTPropose a skill (deployed-agent data plane)
      • GETGet a skill
      • PUTAppend a new skill version
      • DELDelete a skill
      • GETList a skill's versions
      • POSTPublish a skill version
Dashboard
LogoLogo
Runtype APISkills

Import a SKILL.md

POST
/v1/skills/import
POST
/v1/skills/import
$curl -X POST https://api.runtype.com/v1/skills/import \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "markdown": "# Skill: Weather Forecast\n\nThis skill provides weather forecast information for a given location.\n\n## Capabilities\n\n- Get current weather\n- Get 7-day forecast\n\n## Usage\n\nTo get the current weather, do"
>}'
1{}

Import a single SKILL.md document. Lands with trustLevel=imported.

Was this page helpful?
Previous

Propose a skill (deployed-agent data plane)

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
markdownstringRequired

Response

Imported

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error